Subject: RE: [PWE3] SG15Q12 liaison on MS-PW requirements - second attempt

From: "Jin Li Zhong, PB SHA" <[email-masked]>
Date: Mon, 24 Dec 2007 09:56:30 +0800

Dear Stewart

I have some commets, as follows.

In the liaison, the motivation of this MS-PW across T-MPLS solution is not
mentioned. Because there are other solutions for MS-PW across T-MPLS. So a
detail analysis of motivation, comparison, advantage and disvantage of this
solution should be added.

Best Regards
Lizhong JIN

Nokia Siemens Networks
Building 89, 1122 North QinZhou Road, 
Shanghai, 200211, P.R.China

----------------------------------------------------------------------

Message: 1
Date: Fri, 21 Dec 2007 19:27:22 +0000
From: Stewart Bryant <[email-masked]>
Subject: [PWE3] SG15Q12 liaison on MS-PW requirements - second attempt
To: pwe3 <[email-masked]>, Danny McPherson <[email-masked]>
Cc: Mark Townsley <[email-masked]>, [email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed

Here is a second attempt at the response to this
liaison.

The response was due on tuesday, but we are 
clearly not going to achieve that. I propose 
to send this formally to SG15 on 11th January.
The reason that SG15 requested a response by
Christmas was a contribution deadline for
the Geneva meeting in February, so I propose
to address that by posting a pointer to
this thread to their mailing list.

Please review and I will incorporate comments.

Thanks

Stewart

============================================================

That you for your liaison of 14 September 2007
entitled "Liaison Statement to IETF PWE3 WG on
<https://datatracker.ietf.org/documents/LIAISON/file486.doc>
MS-PW over T-MPLS
<https://datatracker.ietf.org/documents/LIAISON/file486.doc>"

https://datatracker.ietf.org/liaison/372/

We apologizes for the late response, but as you are aware members
or PWE3  have had a considerable number of other TMPLS related
tasks to work on.

The review of this document was particularly difficult because it was
not expressed in terms of the language that we use to define
pseudowires, and we request that the proposed design be restated
in the same language and notation that is used in RFC3985 and
<draft-ietf-pwe3-ms-pw-arch> so that members of the IETF 
<http://tools.ietf.org/html/draft-ietf-pwe3-ms-pw-arch-03.txt>
PWE3 WG can fully understand the proposal.

The T-MPLS segment that you propose in Figure 1 must
be indistinguishable from an IETF MS-PW segment, and we
would appreciate it if you could confirm that this is the case.

We would draw your attention to ongoing work on
multisegment pseudowire signaling draft-ietf-pwe3-dynamic-ms-pw 
<http://tools.ietf.org/wg/pwe3/draft-ietf-pwe3-dynamic-ms-pw/>, and
draft-ietf-pwe3-segmented-pw 
<http://tools.ietf.org/wg/pwe3/draft-ietf-pwe3-segmented-pw/>. We are 
concerned that peering
arrangement that you propose will require interworking of the
PWE3 and T-MPLS signaling with associated complexities.

We do not understand why in Figure 2 you use a TMC/PW rather
than an MPLS/PW.

Members of the IETF PWE3 have expressed difficulty in
understanding the paragraph:

"Inside the T-MPLS network there is a 1:1
relationship between the MPLS MS-PW and the
T-MPLS Channel trail; therefore the TMC/PW_A
function is not required to insert a PW label.
The reason is that the functionality of multiplexing
(for vertical scalability reasons) multiple pseudo-wires
over a single trunk is performed at the TMP level
(by multiplexing multiple TMCs over a TMP)."

and the continuing text to the end of the section.

Please could you indicate the label stack at
each stage of the packet transit and indicate
the purpose of each label, it's purpose
and how it is allocated.

Given that the OAM in the PWE3 segments will need to
be based on RFC5085 (VCCV) we are confused as
to why you do not work with on the extension
of VCCV to support multi-segment PWs and thus
allow a single OWN to be used in this configuration
rather than undertaking the more complex task
of interworking the two OAMs.

This problem is clearly within the remit of the
proposed joint working team, and should be
referred to them. Any modifications to MPLS
technology needed are of course the subject of
RFC4929.

Regards etc
PWE3 co-chairs

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3